Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01437 Sound Minor Have not tried Feb 25, 2008, 00:50 Dec 25, 2008, 23:02
Tester Machone View Status Public Platform
Assigned To Phil Bennett Resolution Fixed OS
Status [?] Resolved Driver suna8.cpp
Version 0.123u2 Fixed in Version 0.129 Build
Fixed in Git Commit Github Pull Request #
Summary 01437: hardhead: MAME has the clock frequency of the YM3812 wrong.
Description According to the pcb recording on the following webpage:

http://arcadeboards.exterior-coatings.com/ab/index.php?act=viewProd&productId=13

MAME has the clock frequency of the YM3812 wrong, it should be 3mhz not 4mhz to match the recording.
Steps To Reproduce
Additional Information
Github Commit
Flags Verified with Original
Regression Version
Affected Sets / Systems hardhead
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.03203
Luigi30
Tester
Dec 2, 2008, 22:33
All the games in suna8.c use 4MHz clocks for the YM3812. Should they also be set to 3MHz?
User avatar
No.03400
Phil Bennett
Developer
Dec 25, 2008, 23:02
I've left the other games' YM3812 frequencies alone for now. I'd like to have verification against the original PCBs before changing them.